2010-07-21  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Ensure SECURITY_DEP gets defined in our moonlight
	raw profile

2010-05-10  Sebastien Pouliot  <sebastien@ximian.com>

	* moonlight_bootstrap_System.dll.sources: Minimal build for 
	bootstrap. Does not depend on corlib's internals
	* moonlight_raw_System.dll.sources: Full raw (pre-tuned) build 
	for Moonlight - includes SSL code
	* moonlight_shared_System.dll.sources: New. Parts that are both
	needed for bootstrap and raw builds

2010-04-29  Marek Habersack  <mhabersack@novell.com>

	* System.Security.Authentication.ExtendedProtection/ChannelBinding.cs:
	added

2010-04-23  Sebastien Pouliot  <sebastien@ximian.com>

	* moonlight_raw_System.dll.sources: Add new (for SL4) types
	to moonlight build

2010-04-16  Raja R Harinath  <harinath@hurrynot.org>
	and Marek Habersack  <mhabersack@novell.com>

	* Makefile (LIBRARY_COMPILE) [USE_BOOT_COMPILE]:
	Don't override if the profile says it isn't necessary by setting
	PROFILE_MCS_HAS_BOOTSTRAP_FALLBACK.

2010-04-01  Jb Evain  <jbevain@novell.com>

	* System.dll.sources: add SortedSet to the build.

2010-03-20  Miguel de Icaza  <miguel@novell.com>

	* Eliminate warnings in a bunch of places.

2010-03-19  Miguel de Icaza  <miguel@novell.com>

	* Eliminate warnings in a bunch of places.

2010-03-19  Sebastien Pouliot  <sebastien@ximian.com>

	* moonlight_*_System.dll.sources: Bring extra types so we can
	build a full, managed, internal HTTP stack to be reused for SL3+
	* Makefile: Add a INSIDE_SYSTEM define when compiling System.dll
	to makes it possible to rebuild the same types in System.Net.dll

2010-03-16  Jb Evain  <jbevain@novell.com>

	* net_2_1_*.dll.sources: rename to moonlight_*.dll.sources.

2010-03-11  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.dll.sources: Add existing files that are 
	part of SL4

2010-03-02  Jérémie Laval  <jeremie.laval@gmail.com>

	* System_test.dll.sources: Add System.Threading/BarrierTest.cs

2010-02-23  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System_test.dll.sources: Add System.IO.Ports/SerialPortTest.cs.

2010-01-29  Mike Kestner <mkestner@novell.com>

	* System.dll.sources: add System.Net/WebUtility.cs.
	* System_test.dll.sources: add WebUtilityTest.cs to tests.

2010-01-12  Sebastien Pouliot  <sebastien@ximian.com>

	* System_test.dll.sources: Add NetworkCredentialTest.cs to the tests

2009-12-04  Sebastien Pouliot  <sebastien@ximian.com>

	* System.dll.sources: Add (moved) System.Net/DnsEndPoint.cs
	to the build (used by 2.1/moonlight and 4.0)

2009-12-01  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.dll.sources: Add existing files that are 
	part of Silverlight 3 (but were not in Silverlight 2)

2009-11-03  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.dll.sources: Remove build/common/*.cs files
	since this will confuse other assemblies (e.g. System.Net.dll)
	to select mscorlib or System.dll version of the internal types

2009-10-15  Jb Evain  <jbevain@novell.com>

	* monotouch_System.dll.sources: add Semaphore to MonoTouch.

2009-10-14  Jonathan Pryor  <jpryor@novell.com>

	* monotouch_System.dll.sources: Add lots of additional .NET 2.0
	  functionality to the MonoTouch profile.

2009-09-26  Sebastien Pouliot  <sebastien@ximian.com>

	* System_test.dll.sources: Add unit tests for SocketAsyncEventArgs

2009-09-21  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.dll.sources: Remove System.Net.Mime since
	System.Runtime.Serialization does not need them anymore

2009-09-14 Jonathan Pryor <jpryor@novell.com>

	* MonoTouch/MonoPInvokeCallbackAttribute.cs: Added.
	* monotouch_System.dll.sources: Include MonoPInvokeCallbackAttribute.

2009-08-26 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* System.dll.sources:
	* monotouch_System.dll.sources:
	* System20.csproj: add Mono.Http/NtmlClient.cs

	* Mono.Http/ChangeLog: New file.
	* Mono.Http/NtlmClient.cs: copied from Mono.Http.
	* System.Net/NtlmClient.cs: use Mono.Http.NtmlClient from System
	instead of dynamically loading the one in Mono.Http.

2009-08-11  Jérémie Laval  <jeremie.laval@gmail.com>

	* System.dll.sources: Adding ParallelFx files.
	* System_test.dll.sources: Adding ParallelFx test files.

2009-07-26  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile ($(build_lib)): Make CYCLIC_DEP_FILES depend on this.

2009-07-22  Jb Evain  <jbevain@novell.com>

	* monotouch_System.dll.sources: bring Process in.

2009-06-28  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added IPv6MulticastOptionTest.cs and
	MulticastOptionTest.cs.

2009-05-14  Jonathan Pryor <jpryor@novell.com>

	* Makefile: Distribute Test/test-config-file-net-2.0.

2009-05-13  Jonathan Pryor <jpryor@novell.com>

	* System_test.dll.sources: Add ListChangedEventArgsTest.cs.

2009-05-13  Jonathan Pryor <jpryor@novell.com>

	* Makefile: $(test_lib).config needs to be profile-specific.

2009-04-23  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.dll.sources: Remove some unneeded files.

2009-04-21  Sebastien Pouliot  <sebastien@ximian.com>

	* System_test.dll.sources: Add EndPointTest.cs

2009-04-16  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.dll.sources: Remove corlib's files since System
	can now access, for 2.1 (moonlight) corlib's internals.

2009-04-09  Sebastien Pouliot  <sebastien@ximian.com>

	* System.dll.sources: Add System.Net.Sockets/Socket_2_1.cs

2009-01-07  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.dll.sources: Add System/UriTypeConverter.cs to
	NET_2_1 build.

2009-01-07  Geoff Norton  <gnorton@novell.com>

	* Makefile: Respect platform specific test harness exclusions.

2008-12-25   Leszek Ciesielski <skolima@gmail.com>

	* System.Diagnostics/Process.cs: Raise the
	Process.OutputDataReceived and Process.ErrorDataReceived with null
	arguments at the end.   This is the documented behavior:

	http://msdn.microsoft.com/en-us/library/system.diagnostics.datareceivedeventargs.data.aspx

	And CruiseControl.NET depended on this.   Bug #459450.
	
	* Microsoft.CSharp/CSharpCodeCompiler.cs: Fix the code, as it
	depened on the previous broken behavior.
	

2008-12-22  Ivan N. Zlatev  <contact@i-nz.net>

	* System_test.dll.sources: Added ReferenceConverterTest.cs.

2008-12-19  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* net_2_1_raw_System.dll.sources: Added IEditableObject.cs

2008-12-09  Christian Hergert <christian.hergert@gmail.com>

	* System_test.dll.sources: Addded CounterCreationDataTest.cs

2008-12-06  Ivan N. Zlatev  <contact@i-nz.net>

	* System_test.dll.sources: Addded NullableConverterTest.cs

2008-11-25  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : update old nunit options that break upgrade to 2.4.

2008-11-03 Gonzalo Paniagua Javier <gonzalo@novell.com>

	* System_test.dll.sources: add FtpWebRequestTest.cs

2008-10-17  Raja R Harinath  <harinath@hurrynot.org>

	Make robust to 'make clean; make'
	* Makefile (CYCLIC_DEPS): If we're using BOOT_COMPILE, don't
	bother looking for cyclic dependencies -- they'll fail to load
	even if the dlls exist.
	(handle-missing-deps): Rename from 'echo-warning'.  Remove cyclic
	dependencies for real, if they exist.
	Reported by Jonathan Pryor.

2008-09-14  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added ConfigXmlDocumentTest.cs.

2008-09-14  Zoltan Varga  <vargaz@gmail.com>

	* Makefile (regex-check): New helper target to run the perl regex test suite.

2008-08-16  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added SmtpExceptionTest.cs.

2008-08-07  Sebastien Pouliot  <sebastien@ximian.com> 

	* net_2_1_raw_System.dll.sources: Add existing System/UriIdnScope.cs
	* System_test.dll.sources: Add System.ComponentModel/
	DefaultValueAttributeTest.cs to the test suite

2008-08-06  Sebastien Pouliot  <sebastien@ximian.com>

	* net_2_1_raw_System.dll.sources: Add System.CodeDom.Compiler/
	GeneratedCodeAttribute.cs since it's part of SL2 beta 2.

2008-07-31  Jb Evain  <jbevain@novell.com>

	* net_2_1_raw_System.dll.sources: fine tune.

2008-07-25  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added HttpWebResponseTest.cs.

2008-07-14  Marek Habersack  <mhabersack@novell.com>

	* System.dll.sources: added
	System.Net.NetworkInformation/LinuxNetworkInterfaceMarshal.cs

2008-06-27  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added EventDescriptorCollectionTest.cs.

2008-06-25  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added ConfigurationExceptionTest.cs.

2008-05-21  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources :
	  added INotifyPropertyChanging stuff (new in 2.0 SP1).

2008-04-16  Marek Habersack  <mhabersack@novell.com>

	* System_test.dll.sources: added
	System.ComponentModel/ComponentConverterTests.cs

	* Makefile (TEST_MCS_FLAGS): reference -r:System.Data for new
	tests.

2008-04-13  Jb Evain  <jbevain@novell.com>

	* net_2_1_raw_System.dll.sources: tune out some
	uneeded sources for the 2.1 profile.
	Merged from the Moonlight 2 branch.

2008-03-15  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added DesignerAttributeTest.cs.

2008-03-03  Zoltan Varga  <vargaz@gmail.com>

	* System.dll.sources: Add the new regex interpreter/compiler sources, not yet
	used.

	* net_2_1_raw_System.dll.sources: Ditto.
	
2008-02-18  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (CYCLIC_DEPS): Don't use $(eval ...) -- we still
	support older GNU makes.

2008-02-17  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CharConverterTest.cs and
	CultureInfoConverterTest.cs.

2008-02-17  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (CYCLIC_DEPS): New macro.
	(CYCLIC_DEP_FILES): Use it to clean up handling of cyclic dependencies.
	* net_2_1_raw_System.dll.sources: Rename from net_2_1_System.dll.sources.
	* net_2_1_bootstrap_System.dll.sources: New.

2008-02-10  Juraj Skripsky  <js@hotfeet.ch>

	* System.dll.sources: Added ICodeDomVisitor.cs.

2008-01-23  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added FileVersionInfoTest.cs.

2007-12-24  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CheckoutExceptionTest.cs.

2007-12-15  Marek Habersack  <mhabersack@novell.com>

	* System.dll.sources: added
	System.CodeDom.Compiler/CompilerProviderOption.cs and
	System.CodeDom.Compiler/CompilerProviderOptionsCollection.cs

2007-12-04  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added Win32ExceptionTest.cs.

2007-11-12  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added S.R.InteropSvcs.ComTypes types.

2007-11-08  Jb Evain  <jbevain@novell.com>

	* net_2_1_System.dll.sources: use the custom
	WebHeaderCollection.

2007-11-07  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.dll.sources: Added Win32SoundPlayer.cs.

2007-11-03  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added InvalidEnumArgumentExceptionTest.cs.

2007-10-22  Jb Evain  <jbevain@novell.com>

	* net_2_1_System.dll.sources: remove System.Net.Mail.*

2007-09-29  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added HttpListenerRequestTest.cs.

2007-09-27  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added ITypeDiscoveryService.cs.

2007-09-25  Jonathan Pobst  <monkey@jpobst.com>

	* System_test.dll.sources: Added AsyncOperationManagerTest.cs.

2007-09-17  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added ComponentResourceManagerTest.cs.

2007-09-05  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added HandleCollector.cs.

2007-09-05  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added EnumConverterTest.cs.

2007-08-29  Ivan N. Zlatev  <contact@i-nz.net>

	* System.dll.sources: add DefaultSerializationProviderAttribute.cs,
        ComponentSerializationService.cs, MemberRelationship.cs, 
        SerializationStore.cs, MemberRelationshipService.cs, 
        DesignerOptionService.cs, ITreeDesigner.cs

2007-08-29  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added Win32NetworkInterfaceMarshal.cs.

2007-08-24  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : split PREBUILT_DEP from CONFIGURATION_DEP so that the
	  prebuilt System.dll could be referenced for security stuff too.

2007-08-09  Atsushi Enomoto  <atsushi@ximian.com>

	* net_2_1_System.dll.sources :
	  Replaced HttpWebRequest and HttpWebResponse with those for 2.1,
	  and removed related 2.0-only types.

2007-08-09  Jb Evain  <jbevain@novell.com>

	* net_2_1_System.dll.sources: use a special .sources file
	for the 2.1 profile.

2007-08-06  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added PerformanceCounterInstanceLifetime.cs
	  and PerformanceCounterCategoryType.cs.

2007-08-01  Atsushi Enomoto  <atsushi@ximian.com>

	* System_test.dll.sources : added BackgroundWorkerTest.cs.

2007-07-20  Jb Evain  <jbevain@novell.com>

	* Makefile: no need for the deps for installing in 2.1.

2007-07-11  Alan McGovern  <amcgovern@novell.com>

	* Uri.cs: Fix for #78781 applied.

2007-07-11  Ankit Jain  <jankit@novell.com>

	* System_test.dll.sources: Add ProcessStartInfoTest.cs.

2007-06-12  Marek Safar <marek.safar@gmail.com>

	* Makefile: Check only major framework version to do 2.x build.

2007-06-05  Raja R Harinath  <harinath@gmail.com>

	Make cyclic-dependency handling more readable
	* Makefile (MISSING_DEPS): New.  Contains the list of cyclic
	dependencies that aren't present.
	(echo-warning): Simplify drastically.

2007-06-04  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources :
	  added CustomizableLocalFileSettingsProvider.cs.

2007-05-31  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources :
	  added couple of new 2.0 sys.ComponentModel types.

2007-05-31  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* System.dll.sources: Added LookupBindingPropertiesAttribute.cs.
	* System_test.dll.sources: Added
	  LookupBindingPropertiesAttributeTest.cs

2007-05-30  Sebastien Pouliot  <sebastien@ximian.com>

	* System.dll.sources: Add S.C.D.IComponentDiscoveryService

2007-05-30  Atsushi Enomoto  <atsushi@ximian.com>

	* System_test.dll.sources : added SettingsBaseTest.cs.

2007-05-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System_test.dll.sources : added SettingElementTest.cs.

2007-05-18  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added TraceSourceInfo.cs.

2007-05-17  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added TraceOptions.cs.

2007-05-16  Adar Wesley <adarw@mainsoft.com>

	* System20.csproj: added classes to compilation set IOControlCode.cs,
	IPPacketInformation.cs

2007-05-14  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources :
	  Added EventTypeFilter.cs, TraceFilter.cs, SourceFilter.cs, 
	  DelimitedListTraceListener.cs, SwitchAttribute.cs and
	  SwitchLevelAttribute.cs in sys.diagnostics.

2007-05-02  Raja R Harinath  <harinath@gmail.com>

	* System.dll.sources: Add RBTree.cs.

2007-04-16  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* System_test.dll.sources: Added CodeGeneratorFromBinaryOperatorTest.cs.
2007-03-09  Chris Toshok  <toshok@ximian.com>

	* System.ComponentModel.Design/DesignerTransactionCloseEventArgs.cs:
	update this to 2.0. massage a patch from Ivan Zlatev.

2007-02-27  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* System_test.dll.sources: Added MaskedTextProviderTest.cs
	* System.dll.sources: Added MaskedTextProvider.cs

2007-01-29  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added SocketResponder.cs.

2007-01-28  Ilya Kharmatsky <ilyak -at- mainsoft.com>
	
	* System20.vmwcsproj: Added new net_2_0 classes to the project
	  file.

2007-01-28  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added FileWebResponseTest.cs.

2007-01-18  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources: added new sources:
	  TraceSource.cs, SourceLevels.cs, CorrelationManager.cs,
	  TraceEventCache.cs, TraceEventType.cs and SourceSwitch.cs.
	* System_test.dll.sources: added new tests:
	  TraceSourceTest.cs and SourceSwitchTest.cs.

2007-01-11  Dick Porter  <dick@ximian.com>

	* System.dll.sources: Add System.Net.Sockets/{IOControlCode,SocketInformation,SocketInformationOptions,TransmitFileOptions}.cs

2007-01-02  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added ProcessTest.cs.

2006-12-22  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* System_test.dll.sources: added DefaultBindingPropertyAttributeTest.cs

	* System.dll.sources: added DefaultBindingPropertyAttribute.cs

2006-12-22  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Add some extra (PKITS related) files to dist tarball

2006-12-20  Chris Toshok  <toshok@ximian.com>

	* System_test.dll.sources: add AttributeProviderAttributeTest.cs

	* System.dll.sources: add AttributeProviderAttribute.cs

2006-12-20  Chris Toshok  <toshok@ximian.com>

	* System_test.dll.sources: add ComplexBindingPropertiesAttributeTest.cs

	* System.dll.sources: add ComplexBindingPropertiesAttribute.cs

Wed Dec 20 19:30:27 CET 2006 Paolo Molaro <lupus@ximian.com>

	* Makefile, resources/*.wav, System.dll.sources: added sound
	samples provided by Clint Herron. Enabled System.Media namespace.

2006-12-07  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Detect PKITS data and, if available, include the unit 
	tests with the [Category("PKITS")] attribute.
	* System_test.dll.sources: Add PKITS-based unit tests for X509Chain.

2006-11-27  Andrew Skiba  <andrews@mainsoft.com>

	* System-tests20.sln, System-tests20.vmcsproj, run-tests.bat: added
	Grasshopper test project and bat file.

2006-11-17  Sebastien Pouliot  <sebastien@ximian.com>

	* System_test.dll.sources: Add unit tests for System.Security.
	Cryptography.X509Certificates/X509Certificate2Collection and 
	X509ExtensionCollection classes to the build.

2006-11-08  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added ArrayConverterTests.cs.

2006-11-07  Andrew Skiba  <andrews@mainsoft.com>

	* System.Security.AccessControl/SemaphoreAuditRule.cs,
	System.Net/HttpWebRequest.jvm.cs, System.Net/VMWHttpProvider.cs,
	System.Net/HttpWebResponse.jvm.cs, System.Net/HttpStateCache.cs,
	System.Net/HttpProvider.cs, System.Net/ServicePoint.cs,
	System.Net.Sockets/Socket.jvm.cs, System.Net.Sockets/GHStreamSocket.cs,
	System.Net.Sockets/GHSocketFactory.cs, System.Net.Sockets/GHStreamSocketSSL.cs,
	System.Net.Sockets/GHSocket.cs, System.J2EE20.vmwcsproj,
	System.J2EE20.sln, machine.config: add files and TARGET_JVM-s to compile
	System.dll in GH.

2006-11-07  Sebastien Pouliot  <sebastien@ximian.com>

	* System_test.dll.sources: Add unit tests for System.ComponentModel.
	CollectionConverter to the build.

2006-11-07  Andrew Skiba  <andrews@mainsoft.com>

	* ApplicationSettingsBase.cs, AppSettingsReader.cs,
	ConfigurationSettings.cs, LocalFileSettingsProvider.cs: exclude using
	PrebuiltSystem on TARGET_JVM

2006-10-31  Sebastien Pouliot  <sebastien@ximian.com>

	* System.dll.sources: Add System.Net.Mail.SmtpPermission[Attribute] to
	the build.
	* System_test.dll.sources: Add unit tests for System.Net.Mail 
	SmtpPermission[Attribute] to the build.

2006-08-22  Miguel de Icaza  <miguel@novell.com>

	* System.ComponentModel.Design/HelpKeywordAttribute.cs: Add new
	file. 

2006-08-20  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added EventInstanceTest.cs

2006-08-20  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.dll.sources: Added Win32EventLog.cs.

2006-08-14  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added LocalFileEventLog.cs and NullEventLog.cs.

2006-08-14  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : reverted all recent changes on EventLogs.
	  It does not work at all.

2006-08-11  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.dll.sources: Added UnixEventLog.cs and Win32EventLog.cs.
	* System_test.dll.sources: Added EventLogTest.cs.

2006-08-09  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.souces: Added EventSourceCreationDataTest.cs.

2006-08-09  Gert Driesen  <drieseng@users.sourceforge.net>

	* System.dll.sources: Added EventInstance.cs, OverflowAction.cs,
	EventSourceCreationData.cs.

2006-08-07  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added X509Certificate2Test.cs.

2006-07-14  Peter Dennis Bartok  <pbartok@novell.com>

	* System.dll.sources: Added System.ComponentModel/MaskedTextResultHint.cs

2006-07-06  Dick Porter  <dick@ximian.com>

	* System.dll.sources: Added
	System.Security.AccessControl/SemaphoreAccessRule.cs
	System.Security.AccessControl/SemaphoreAuditRule.cs

2006-05-10  Atsushi Enomoto  <atsushi@ximian.com>

	* System_test.dll.sources : added ConnectionManagementSectionTest.cs
	  and WebRequestModulesSectionTest.cs.

2006-05-10  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : add -r:System.Configuration under net_2_0.

2005-05-08  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* Makefile: Add -unsafe flag, since it is needed in
	System.IO.Ports.WinSerialStream.

2006-05-08  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added SettingsBindableAttribute.cs.

2006-05-06  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.dll.sources: Added new System.IO.Ports/ISerialStream.cs
	file.
	
2006-04-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added a bunch of missing sys.configuration
	  files.

2006-04-27  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added ClientSettingsSection.cs.

2006-04-26  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added ApplicationSettingsGroup.cs.

2006-04-20  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeGeneratorFromNamespaceTest.cs from
	Microsoft.VisualBasic.

2006-04-17  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : Added AsyncOperation.cs,
	  AsyncOperationManager.cs, BackgroundWorker.cs,
	  DoWorkEventHandler.cs, DoWorkEventArgs.cs,
	  RunWorkerCompletedEventArgs.cs and
	  RunWorkerCompletedEventHandler.cs.

2006-04-06  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.dll.sources: Added System.IO.Ports/SerialSignal.cs.
	
2006-04-05  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added SslPolicyErrors.cs.

2006-04-05  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added SortedDictionary.cs.
	* System_test.dll.sources : added SortedDictionaryTest.cs.

2006-04-04  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources: added DataReceivedEventArgs.cs and
	  DataReceivedEventHandler.cs.
	* System_test.dll.sources : added StopwatchTest.cs.

2006-04-01  Zoltan Varga  <vargaz@gmail.com>

	* System.dll.sources: Added System.Diagnostics/Stopwatch.cs.

2006-03-30  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources:
	  DownloadStringCompletedEventHandler.cs was missing.

2006-03-28  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources : added ProgressChangedEvent[Args|Handler] in
	  System.ComponentModel, and several WebClient event args in
	  System.Net.

2006-03-09  Zoltan Varga  <vargaz@gmail.com>

	* System.dll.sources: Added System.ComponentModel.Design.Serialization/
	CodeDomSerializerException.cs.

2006-02-28  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.dll.sources: Forgot to add inside System.IO.Ports:
	SerialData.cs, SerialError.cs, SerialPinChange.cs

2006-02-22  Kornél Pál  <kornelpal@hotmail.com>

	* System.dll.sources: Added System.IO.Ports.SerialPortStream.cs
	  to fix build.

2005-02-02  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.dll.sources: Add the recently added System.Net 2.0 
	clases (FtpWebRequest, FtpWebResponse, FtpDataStream, FtpAsyncResult,
	and also FtpStatusCode and WebRequestMethods).
	
2005-01-13  John Luke  <john.luke@gmail.com>

	* System_test.dll.sources: add System.Net.Mail.SmtpClient tests
	
2006-01-09  Chris Toshok  <toshok@ximian.com>

	* Makefile (LIB_MCS_FLAGS): if we're building net_2_0, define
	CONFIGURATION_2_0 to use the new System.Configuration api.

2006-01-02  Chris Toshok  <toshok@ximian.com>

	* Makefile: use an external alias (PrebuiltSystem) when building
	with CONFIGURATION_DEP.

2005-12-24  John Luke  <john.luke@gmail.com>

	* System_test.dll.sources: add System.Net.Mail tests

2005-12-23  John Luke  <john.luke@gmail.com>

	* System_test.dll.sources: add
	System.Net.Mime/ContentDispositionTest.cs
	System.Net.Mime/ContentTypeTest.cs

2005-12-13  Chris Toshok  <toshok@ximian.com>

	* System.dll.sources: add
	System.Net.Configuration/FtpCachePolicyElement.cs.

2005-12-07  Robert Jordan  <robertj@gmx.net>

	* System.dll.sources: Added System.Net.Sockets/SocketError.cs.

2005-11-30  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeRemoveEventStatementTest.cs from
	System.CodeDom.

2005-11-26  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeGeneratorFromStatementTest.cs
	from Microsoft.VisualBasic.	

2005-11-20  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeNamespaceImportCollectionTest.cs,
	CodeNamespaceCollectionTest.cs, CodeTypeDeclarationCollectionTest.cs,
	CodeTypeMemberCollectionTest.cs, CodeTypeParameterCollectionTest.cs,
	CodeAttributeArgumentCollectionTest.cs, CodeDirectiveCollectionTest.cs,
	CodeAttributeDeclarationCollectionTest.cs, 
	CodeCatchClauseCollectionTest.cs, 
	CodeCommentStatementCollectionTest.cs.

2005-11-09  Zoltan Varga  <vargaz@gmail.com>

	* System_test.dll.sources: Add Test/System.Collections.Generic/SortedListTest.cs.

	* System.dll.sources: Add System.Collections.Generic/SortedList.cs.

2005-11-08  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeExpressionCollectionTest.cs,
	CodeParameterDeclarationExpressionCollectionTest.cs,
	CodeTypeReferenceCollectionTest.cs.

2005-11-04  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeCastExpressionTest.cs,
	CodeCatchClauseTest.cs, CodeChecksumPragmaTest.cs, 
	CodeConstructorTest.cs, CodeDefaultValueExpressionTest.cs;
	CodeDelegateCreateExpressionTest.cs, CodeEventReferenceExpressionTest.cs
	CodeGotoStatementTest.cs, CodeLabeledStatementTest.cs,
	CodeLinePragmaTest.cs, CodeMemberMethodTest.cs, 
	CodeMethodInvokeExpressionTest.cs, CodeMethodReferenceExpressionTest.cs,
	CodeNamespaceImportTest.cs, CodeNamespaceTest.cs, 
	CodeObjectCreateExpressionTest.cs, 
	CodeParameterDeclarationExpressionTest.cs,
	CodePropertyReferenceExpressionTest.cs, CodeRegionDirectiveTest.cs,
	CodeSnippetCompileUnitTest.cs, CodeSnippetExpressionTest.cs,
	CodeSnippetStatementTest.cs, CodeSnippetTypeMemberTest.cs,
	CodeStatementCollectionTest.cs, CodeTypeConstructorTest.cs,
	CodeTypeParameterTest.cs, CodeTypeOfExpressionTest.cs,
	CodeTypeReferenceExpressionTest.cs, 
	CodeVariableDeclarationStatementTest.cs,
	CodeVariableReferenceExpressionTest.cs

2005-10-24  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeArgumentReferenceExceptionTest.cs,
	CodeArrayCreateExpressionTest.cs, CodeAttachEventStatementTest.cs,
	CodeAttributeArgumentTest.cs, CodeAttributeDeclarationTest.cs.

2005-10-18  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added HttpWebRequestElementTest.cs
	from Test/System.Net.Configuration.

2005-10-07  Gert Driesen  <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeGeneratorTypeOutputTest.cs
	from Test/Microsoft.CSharp.

2005-10-05  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources: added System.Net/AuthenticationSchemes.cs.

2005-09-23  Chris Toshok  <toshok@ximian.com>

	* System.dll.sources: remove the System.Configuration.Property/*

	* System.Configuration.Property/*: move to ../System.Configuration
	where it belongs.

2005-09-19  Chris Toshok  <toshok@ximian.com>

	* System.Configuration/ProviderBase.cs: nuke this - it's in
	System.Configuration.Provider.

	* System/InvalidDataException.cs: move this to System.IO, where it
	belongs.
	
	* System.dll.sources: track movement of InvalidDataException.cs
	and removal of ProviderBase.cs

2005-09-19  Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added TypeConverterTest.cs and
	PropertyDescriptorCollection.cs.

2005-09-04  David Waite  <mass@akuma.org>

	* System.dll.sources, System_test.dll.sources: Added LinkedList.cs,
	LinkedListNode.cs and LinkedListTest.cs

2005-08-28 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added DateTimeConverterTests.cs.

2005-08-23  Raja R Harinath  <rharinath@novell.com>

	* System.dll.sources: Update.

2005-08-18 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added DecimalConverterTests.cs,
	DoubleConverterTests.cs, Int64ConverterTests.cs, SByteConverterTests.cs
	SingleConverterTests.cs, UInt16ConverterTests.cs, 
	UInt32ConverterTests.cs, UInt64ConverterTests.cs.

2005-08-16 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added ByteConverterTests.cs,
	Int16ConverterTests.cs and Int32ConverterTests.cs.
	* Makefile: We also need to reference System.Drawing assembly to
	build test assembly.

2005-08-16 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added ToolboxItemAttributeTests.cs from
	System.ComponentModel.

>>>>>>> .r48427
2005-07-24 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeTypeDelegateTest.cs from
	System.CodeDom.

2005-07-21 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeGeneratorTest.cs from
	System.CodeDom.Compiler.

2005-07-21 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeGeneratorFromTypeTestBase.cs
	and CodeGeneratorTestBase.cs from System.CodeDom.Compiler.

2005-06-28 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeTypeReferenceTest.cs from
	System.CodeDom.

2005-06-27 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeGeneratorFromExpressionTest.cs
	from Microsoft.VisualBasic.

2005-06-27 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeMemberPropertyTest.cs from
	System.CodeDom.

2005-06-25 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeMemberFieldTest.cs from
	System.CodeDom.

2005-06-25 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeGeneratorFromTypeTest.cs from
	Microsoft.VisualBasic.

2005-06-25 Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CodeGeneratorTestBase.cs and
	CodeGeneratorFromCompileUnitTest.cs from Microsoft.VisualBasic.

2005-06-22 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile: added reference to Mono.Security.dll when building the
	tests.

2005-06-22  Sebastien Pouliot  <sebastien@ximian.com> 

	* Makefile: Removed LIB_MCS_FLAGS for referencing corlib and added the
	__SECURITY_BOOTSTRAP_DB export. This will allow the work on #74975 to
	continue and shouldn't cause any harm to Linux or Cygwin builds.

2005-06-15  Lluis Sanchez Gual <lluis@novell.com>

	* System.dll.sources: Added ProviderBase.cs.
	
2005-06-14  Lluis Sanchez Gual <lluis@novell.com>

	* System.dll.sources: Removed some files that have been moved to the
	new System.Configuration assembly.
	* Makefile: Handle the cyclic dependency with the new
	System.Configuration assembly.

2005-05-30  Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added CSharpCodeProviderTest.cs

2005-05-28  Kornél Pál <kornelpal@hotmail.com>

	* System_test.dll.sources: Added TimerTest.cs.

2005-05-20  Sebastien Pouliot  <sebastien@ximian.com>

	* System_test.dll.sources: Added new CAS unit tests for NetworkStream,
	Socket and TcpClient to the build (stack propagation in async calls).

2005-05-20  Raja R Harinath  <rharinath@novell.com>

	* System_test.dll.sources: Add
	System.Text.RegularExpressions/RegexReplace.cs.

	* System.dll.sources: Update to reflect split-up of
	System.Text.RegularExpressions/match.cs.

2005-05-19  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Do not report Obsolete warnings when compiling unit tests.
	* System_test.dll.sources: Added new CAS unit tests to the build.

2005-05-13  Atsushi Enomoto  <atsushi@ximian.com>

	* System_test.dll.sources,
	  System.dll.sources: generic Queue.cs and Stack.cs are now in System.

2005-03-14  Raja R Harinath  <rharinath@novell.com>

	* Makefile (NO_INSTALL): Define during the first pass.

2005-03-04  Lluis Sanchez Gual <lluis@novell.com>

	* System.dll.sources: Added OrderedDictionary.cs.

2005-02-22  Sureshkumar T  <tsureshkumar@novell.com>

	* System.dll.sources: Added files.
	System.Configuration/ConnectionStringSettingsCollection.cs
	System.Configuration/ConnectionStringSettings.cs

2005-02-17 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.dll.sources: added CodeDomConfigurationHandler.

2005-02-03  Raja R Harinath  <rharinath@novell.com>

	* Makefile (TEST_RESOURCES): New.
	(EXTRA_DISTFILES): Distribute them.

2005-02-02  Ben Maurer  <bmaurer@ximian.com>

	* Makefile: Embed the uri stuff as a resource.

2005-01-24  Raja R Harinath  <rharinath@novell.com>

	Add circular dependency on System.Security.dll.
	* Makefile (XML_DEP, XML_DEP_FILE): Rename from CYCLIC_DEP and
	CYCLIC_DEP_FILE. 
	(SECURITY_DEP, SECURITY_DEP_FILE): Parallel defines for expressing
	cyclic dependency on System.Security.dll.  Defined only in NET2.0
	related profiles.
	(CYCLIC_DEPS, CYCLIC_DEP_FILES): New.  Used to detect which of the
	dependencies are present.
	(echo-warning, LIB_MCS_FLAGS): Update to reflect new circular
	dependencies.

2005-01-20  Miguel de Icaza  <miguel@ximian.com>

	* Add a couple more -nowarns when compiling tests. 

2005-01-17  Raja R Harinath  <rharinath@novell.com>

	* Makefile ($(test_lib).config): New.  Create it when test library
	is built.
	(CLEAN_FILES): Remove it.
	(test-recursive,clean-recursive): Delete.

2005-01-14  Jonathan Pryor (jonpryor@vt.edu)

	* Makefile: Add test-recursive and clean-recursive targets.  Test-recursive
	  creates a Syste_test_PROFILE.dll.config file, required for the Switch
	  regression tests, and clean-recursive cleans up this file.
	* System_test_default.dll.config, System_test.dll.config: Delete.  These are
	  no longer necessary as the appropriate file is generated in test-recursive.

2005-01-10  Lluis Sanchez Gual <lluis@novell.com>

	* System.dll.sources: Added new file:
		System.ComponentModel/BindingDirection.cs

2004-12-26  Zoltan Varga  <vargaz@freemail.hu>

	* System.IO.Ports/ChangeLog: New file.

2004-12-21  Chris Toshok  <toshok@ximian.com>

	* System.dll.sources: add System.IO.Ports/*.

	* System.IO.Ports/SerialPort.cs,
	System.IO.Ports/SerialReceivedEventArgs.cs,
	System.IO.Ports/SerialPinChangedEventArgs.cs,
	System.IO.Ports/SerialErrorEventArgs.cs: initial import of the
	System.IO.Ports stuff.

2004-12-01 Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System_test.dll.sources: added CookieContainerTest.cs.

2004-11-19  Raja R Harinath  <rharinath@novell.com>

	* Makefile (USE_BOOT_COMPILE): Re-organize to use BOOT_COMPILE
	during the first pass.
	(BOOTSTRAP_MCS): Use mscorlib.dll from the net_2_0 profile.

2004-11-18  Lluis Sanchez Gual <lluis@novell.com>

	* System.dll.sources: Added new files:
		System.Configuration/ProviderSettings.cs
		System.Configuration/ProviderSettingsCollection.cs
		System.Configuration.Provider/ProviderBase.cs

2004-11-15  Lluis Sanchez Gual <lluis@novell.com>

	* System.dll.sources: Added new files:
		System.Configuration/TimeSpanConfigurationProperty.cs
		System.Configuration/TimeSpanPropertyFlags.cs
		System.Configuration/TimeSpanSerializedFormat.cs
	
2004-11-09  Lluis Sanchez Gual <lluis@novell.com>

	* System.dll.sources: Added new files:
		System.Configuration/NonEmptyStringConfigurationProperty.cs
		System.Configuration/NonEmptyStringFlags.cs

2004-11-04  Lluis Sanchez Gual <lluis@novell.com>

	* System.dll.sources: Added new files:
		System.Configuration/ConfigInfo.cs
		System.Configuration/IntegerConfigurationProperty.cs
		System.Configuration/RuntimeOnlySection.cs
		System.Configuration/SectionInfo.cs
		System.Configuration/SectionGroupInfo.cs

2004-09-21  Raja R Harinath  <rharinath@novell.com>

	* Makefile (lib_file) [PROFILE=net_2_0]: New test.  Use
	net_2_0_bootstrap libraries if necessary.
	($(the_lib)): Don't depend on a phony target.  Move 'echo-warning' ...
	(all-local): ... here.  Will now warn unnecessarily, but is better
	than rebuilding the library each time.

2004-09-20  Gert Driesen <drieseng@users.sourceforge.net>

	* System.dll.sources: Moved ReadOnlyCollection.cs and Collection.cs
	from corlib to System.Collections.Generic in System assembly

2004-09-13  Tim Coleman <tim@timcoleman.com>
	* System.dll.sources: Add new classes in System.Net.Security and 
		System.Security.Authentication for Fx 2.0

2004-09-12  Gert Driesen <drieseng@users.sourceforge.net>

	* System.dll.sources: removed duplicate entry for System.Net.
	Configuration.WebRequestModuleHandler

2004-09-11  Sebastien Pouliot  <sebastien@ximian.com>

	* System_test.dll.sources: Added unit tests for System.Diagnostics.
	EventLogPermission and PerformanceCounterPermission.

2004-09-10  Sebastien Pouliot  <sebastien@ximian.com>

	* System_test.dll.sources: Added PermissionHelper to the build.
	* System_test.dll.sources: Added unit tests for System.Security.
	Permissions.ResourcePermissionBase and ResourcePermissionBaseEntry, 
	System.Web.AspNetHostingPermission and AspNetHostingPermissionAttribute.

2004-09-10  Tim Coleman <tim@timcoleman.com>
	* System.dll.sources: Add System.Net.Cache, System.Net.Configuration,
		System.Net.Mail, System.Configuration classes

2004-09-09  Tim Coleman <tim@timcoleman.com>
	* System.dll.sources: Add new System.Net.Mail classes

2004-09-04  Tim Coleman <tim@timcoleman.com>
	* System.dll.sources: Add System.Net.Mail and System.Net.Mime classes.

2004-09-03  Tim Coleman <tim@timcoleman.com>
	* System.dll.sources: Add new class in System.Net

2004-08-16  Duncan Mak  <duncan@ximian.com>

	* System.dll.sources: Added new classes in System.Configuration.

2004-07-14  Atsushi Enomoto  <atsushi@ximian.com>

	* System.dll.sources:
	  Added IChangeTracking.cs and IRevertibleChangeTracking.cs

2004-07-09  LLuis Sanchez Gual  <lluis@novell.com>

	* System.dll.sources: Added files
		System.ComponentModel/AsyncCompletedEventArgs.cs
		System.ComponentModel/AsyncCompletedEventHandler.cs

2004-07-02  Raja R Harinath  <rharinath@novell.com>

	* Makefile (LIBRARY_USE_INTERMEDIATE_FILE): Define.

2004-06-13  Gert Driesen <drieseng@users.sourceforge.net>

	* System_test.dll.sources: Added IndentedTextWriterTest to unit
	tests

2004-06-10  Raja R Harinath  <rharinath@novell.com>

	* Makefile (LIBRARY_COMPILE): Define only if 'USE_BOOT_COMPILE' is
	defined.  Don't conflate building a non-Xml temporary System.dll
	with building System.dll for bootstrapping mcs.

2004-06-09  Raja R Harinath  <rharinath@novell.com>

	* Makefile (CYCLIC_DEP_FILE): New.  Used to detect if
	System.Xml.dll is present.
	(SECOND_PASS): Remove.

2004-06-05  Sebastien Pouliot  <sebastien@ximian.com>

	* System_test.dll.sources: Added X509CertificateCollectionTest
	to the unit tests.

2004-06-03  Atsushi Enomoto  <atsushi@ximian.com>

	* Makefile : add run-test-ondotnet target support.

2004-05-24  Raja R Harinath  <rharinath@novell.com>

	* Makefile (EXTRA_FLAGS): Remove.
	(LIBRARY_COMPILE) [!HAVE_SYSTEM_XML]: Use $(BOOT_COMPILE) for
	non-Xml first build.
	(all-local) [!SECOND_PASS]: Simplify.

2004-05-10  Raja R Harinath  <rharinath@novell.com>

	* Makefile (install-local,test-local,run-test-local,clean-local):
	Make cyclic-dependency safe.

2004-05-07  Raja R Harinath  <rharinath@novell.com>

	* Makefile (all-local) [SECOND_PASS]: Rewrite to use 'make' itself
	to determine out-of-date-ness.  (This fixes an unlogged change.)
	(install-local,test-local,run-test-local,clean-local): Collapse
	near-identical rules.

2004-05-07  Raja R Harinath  <rharinath@novell.com>

	* Makefile (all-local): Built first pass with BOOT_COMPILE.

2004-04-26  Jackson Harper  <jackson@ximian.com>

	* Makefile: Use new $(PROFILE) directory to search for cyclical
	dependancy.
	
2004-04-16  Lluis Sanchez Gual <lluis@ximian.com>

	* System_test.dll.sources: Added 
		System.ComponentModel/TypeDescriptorTests.cs.

2004-04-14  Lluis Sanchez Gual <lluis@ximian.com>

	* System.dll.sources: Added 
		System.ComponentModel/ReflectionEventDescriptor.cs,
		System.ComponentModel/ReflectionPropertyDescriptor.cs.

2004-03-17  Ivan Hamilton <ivan@chimerical.com.au>

	* System.dll.sources: Added System/System.ComponentModel.Design
	/RuntimeLicenseContext.cs
	* System_test.dll.sources : Added System.ComponentModel
	/LicenseManagerTests.cs

2004-03-11  Zoltan Varga  <vargaz@freemail.hu>

	* Makefile (all-local): Fix for non-bash shells.

2004-02-26  Sebastien Pouliot  <sebastien@ximian.com>

	* System.dll.sources: Added System.Net/DefaultCertificatePolicy.cs to 
	the build.

2004-02-04  Marek Safar <marek.safar@seznam.cz>

	* Makefile: Build System.dll in two steps. Because of the circular
        dependency with System.XML.dll.

2004-01-21  Atsushi Enomoto  <atsushi@ximian.com>

	* System_test.dll.sources : Added CodeGeneratorIdentifierTest.cs

2004-01-16  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.dll.sources: added new files.

	* System_test.dll.sources: added new test.

2004-01-01  Nick Drochak <ndrochak@gol.com>

	* Makefile: Suppress warnings about multiple Regex defs and obsolete
	calls in the test assembly.

2003-05-29  Nick Drochak <ndrochak@gol.com>

	* System_test.dll.config: Nunit loads configs with the same name as the
	test assembly. This is for the Swithes test.

2003-12-08  Atsushi Enomoto  <atsushi@ximian.com>

	* System_test.dll.sources : Added UriTest2.cs

2003-11-18  Todd Berman  <tberman@gentoo.org>

	* System.dll.sources: Added IOrderedDictionary.cs

2003-11-12  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* System.dll.sources: Added some new class files

2003-09-04  Duncan Mak  <duncan@ximian.com>

	* System_test.dll.sources: Add new test, ListDictionaryTest.cs.

2003-08-31 Alexandre Pigolkine <pigolkine@gmx.de>

	* System_test.dll.sources	new test added

2003-07-27  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* System.dll.sources: SRDescriptionAttribute.cs moved

2003-07-21  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* README: removed (contained only obsolete build instructions)

2003-07-21  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* System.dll.sources: EventLogImpl.cs added

2003-07-18  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* System.dll.sources: AlphabeticalEnumConverter.cs, SRDescriptionAttribute.cs added

2003-07-18  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* System.dll.sources: Assembly/Locale.cs added, Globalization.Locale.cs removed

2003-07-18  Peter Williams  <peter@newton.cx>

	* Makefile (EXTRA_DISTFILES): Oops, NUnit.Prefs is not
	a distable file.
	(EXTRA_DISTFILES): A few more.

2003-07-17  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* System.dll.sources: Assembly/Consts.cs added

2003-07-16  Peter Williams  <peter@newton.cx>

	* Makefile (SCARY_LIB): Flip around since what was bootstrap
	is now default.

2003-07-14  Jerome Laban <jlaban@wanadoo.fr>

	* System.dll.sources: Added NetConfigurationHandler.cs,
	NetConfig.cs, IPv6MulticastOption.cs

2003-07-10  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* list.unix: Added AssemblyInfo.cs

2003-07-10  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* list.unix: Removed System.Net/ProxyUseType.cs, System.Net/WebStatus.cs

2003-07-06  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* list.unix: Add VBCodeGenerator.cs, VBCodeProvider.cs

2003-07-05  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* list.unix: Add CodeParser.cs, Executor.cs, removed CompilerOptions.cs

2003-07-05  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* list.unix: Add WebPermission.cs, WebPermissionAttribute.cs

2003-05-29  Nick Drochak <ndrochak@gol.com>

	* makefile.gnu: turn on debug since it works again.

2003-05-21  Ben Maurer <bmaurer@users.sourceforge.net>

	* StringWriter.cs: Fixed bug #43379 "Missing WebException.Response
	property."

2003-03-30  Martin Willemoes Hansen <mwh@sysrq.dk>

	* Stubed rest of System.ComponentModel

2003-03-29  Martin Willemoes Hansen <mwh@sysrq.dk>

	* System.ComponentModel.Design.Serialization
          Removed references to System.Web namespaces

2003-03-29  Martin Willemoes Hansen <mwh@sysrq.dk>

	* Stubed System.ComponentModel/LicenseContext.cs
	* Stubed System.ComponentModel/LicenseUsageMode.cs
	* Stubed rest of System.ComponentModel.Design

2003-03-29  Martin Willemoes Hansen <mwh@sysrq.dk>

	* Stubed System.ComponentModel/InheritanceAttribute.cs
	* Stubed System.ComponentModel/InheritanceLevel.cs
	* Stubed System.ComponentModel.Design/IDesignerFilter.cs
	* Stubed System.ComponentModel.Design/IInheritanceService.cs

2003-03-27  Martin Willemoes Hansen <mwh@sysrq.dk>

	* Stubed rest of System.ComponentModel.Design.Serialization

2003-03-04  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* list.unix: added RunInstallerAttribute.cs

2003-02-18  Alan Tam <Tam@SiuLung.com>

	* list.unix (): Add DesignerCategoryAttribute.cs

2003-01-10  Duncan Mak  <duncan@ximian.com>

	* list.unix (CSharpCodeCompiler): Add
	Microsoft.Charp.CSharpCodeCompiler for Sean Kasun.

2002-12-10  Jeroen Janssen <japj@darius.demon.nl>
	
	* updated .build file(s) to correctly contain required buildfile 
	  attribute for nant

2002-12-07 Jackson Harper <jackson@latitudegeo.com>

	* list list.unix: Put CSharpCodeGenerator.cs back in build

2002-12-07 Jackson Harper <jackson@latitudegeo.com>

	* list list.unix: Removed Compiler classes that are being moved to their own assembly

2002-12-05 Alejandro Sánchez Acosta  <raciel@gnome.org>

	* list.unix: updated.

2002-11-30 Alejandro Sánchez Acosta  <raciel@es.gnu.org>

	* list.unix: Changed.
	* System.ComponentModel.Design: Added

2002-11-11 Tim Coleman <tim@timcoleman.com>
	* list.unix:
	* list:
	* System.ComponentModel/DesignTimeVisibleAttribute.cs:
		Add new class

2002-11-06 Jackson Harper <jackson@latitudegeo.com>

	* list.unix: Added Microsoft.CSharp/Compiler.cs to build
	
2002-11-04  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* list.unix: added new files.

2002-11-04  Tim Coleman <tim@timcoleman.com>
	* System.ComponentModel/RefreshProperties.cs:
	* System.ComponentModel/RefreshPropertiesAttribute.cs:
		Add new classes

2002-11-02  Duncan Mak  <duncan@ximian.com>

	* list.unix: Added InvalidEnumArgumentException.

2002-10-31  Dick Porter  <dick@ximian.com>

	* list.unix: Added MonoIO and MonoIOError to the build

2002-10-29  Daniel Morgan <danmorg@sc.rr.com>

	* System.ComponentModel/PropertyDescriptor.cs: added
	missing abstract methods and properties

	* System.ComponentModel/DerivedPropertyDescriptor.cs: implemented
	SetValue and added stubs for missing methods and properties
	
2002-10-03  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* list.unix: added new files in System.Configuration.

2002-10-02  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* list.unix: added new files.

2002-08-28  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.ComponentModel/Component.cs:
	* System.ComponentModel/ComponentCollection.cs:
	* System.ComponentModel/Container.cs:
	* System.ComponentModel/MarshalByValueComponent.cs:
	* System.Diagnostics/Process.cs:
	* System.Diagnostics/TextWriterTraceListener.cs:
	* System.IO/FileSystemWatcher.cs:
	IDisposable fixes.

2002-08-15  Tim Coleman <tim@timcoleman.com>
	* list.unix: Added System.IO files.

2002-07-29  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* list:
	* list.unix: added EnumConverter.cs

2002-07-28  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* list:
	* list.unix: added DerivedPropertyDescriptor.cs

2002-07-22  Tim Coleman <tim@timcoleman.com>
	* list.unix: Added new file
		System.ComponentModel.RecommendedAsConfigurableAttribute.cs
		to build on unix.

2002-07-22  Tim Coleman <tim@timcoleman.com>
	* list.unix: Added files to the build for linux
		System.ComponentModel.BindableAttribute.cs,
		System.ComponentModel.BindableSupport.cs,
		System.ComponentModel.ExpandableObjectConverter.cs,
		System.ComponentModel.NotifyParentPropertyAttribute.cs,
		System.ComponentModel.ToolboxItemAttribute.cs,

2002-07-22  Tim Coleman <tim@timcoleman.com>
	* list.unix: Added System.ComponentModel/DefaultEventAttribute.cs
		and System.ComponentModel.DefaultProperty.cs to build


2002-06-20  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.build: removed System.Drawing.dll dependency.

2002-06-15  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.build: referenced System.Drawing.dll.

2002-05-12  Lawrence Pit <loz@cable.a2000.nl>

	* System.Security.Cryptography.X509Certificates: directory added
	
2002-05-09  Rodrigo Moya <rodrigo@ximian.com>

	* System.build: don't exclude anymore excluded files in
	System.ComponentModel. They compile on Linux, so they might also
	on Windows.

2002-05-05  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* System.build: excluded EventDescriptor.cs, 
	EventDescriptorCollection.cs and ICustomTypeDescriptor.cs.

2002-04-08  Nick Drochak  <ndrochak@gol.com>

	* System.build: Build System.dll with mono's corlib.dll and 
	System.Xml.dll.

2002-01-23  Dick Porter  <dick@ximian.com>

	* System.build: Start build System.Net.Sockets.Socket.cs,
	TcpClient.cs and TcpListener.cs

2001-12-07  Nick Drochak <ndrochak@gol.com>

	* ChangeLog: Add the change log to this directory

	* System.build: Add dependancy on linux target to test target. Need to 
	have the dll before we can test it, right?  Plus it encourages others 
	to try 'make test'.

